Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.acl
Class OwnerImpl

    java.lang.Object
      weblogic.security.acl.OwnerImpl

All Implemented Interfaces:
  Owner, Serializable

Direct Known Subclasses:
  AclImpl

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by the rules-based Authorization Provider in the Pluggable Security Infrastructure.

public class OwnerImpl
extends Object
implements Owner, Serializable

OwnerImpl implements Owner to manage owners of Access Control Lists (ACLs) or ACL configurations. (Note that the Acl interface in the `java.security.acl` package extends this Owner interface.)

An ACL must always have at least one owner.

See Also:
  `Owner`, `Acl`, Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`OwnerImpl(Principal principal)` Deprecated. Constructs an owner with an initial principal.

Method Summary
`boolean` | `addOwner(Principal caller, Principal principal)` Deprecated. Adds an owner.
`boolean` | `deleteOwner(Principal caller, Principal principal)` Deprecated. Deletes an owner.
`boolean` | `isOwner(Principal principal)` Deprecated. Determines whether the given principal is an owner of the ACL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OwnerImpl

    public OwnerImpl(Principal principal)

  Deprecated.
  Constructs an owner with an initial principal.

Method Detail

### addOwner

    public boolean addOwner(Principal caller,
                            Principal principal)
                     throws NotOwnerException

  Deprecated.
  Adds an owner. Only owners can modify ACL contents. The caller principal must be an owner of the ACL in order to invoke this method; that is, only an owner can add another owner. The initial owner is configured when the ACL is constructed.

  The method returns false if the proposed owner is already an owner. An exception is thrown if the Principal caller is not an owner of the ACL.

  Specified by:
    `addOwner` in interface `Owner`
  Parameters:
    `caller` - Principal that is an owner of the ACL
    `principal` - Principal that should be added to the list of owners
  Returns:
    true if successful, false if owner is already an owner.
  Throws:
    `NotOwnerException` - if the caller Principal is not an owner of the ACL

### deleteOwner

    public boolean deleteOwner(Principal caller,
                               Principal principal)
                        throws NotOwnerException,
                               LastOwnerException

  Deprecated.
  Deletes an owner. If this is the last owner in the ACL, an exception is raised, since an ACL must have at least one owner. The method returns true if the operation is successful, false if the proposed owner to be deleted is not found in the list of owners.

  The caller principal must be an owner of the ACL to invoke this method.

  Specified by:
    `deleteOwner` in interface `Owner`
  Parameters:
    `caller` - Principal that is an owner of the ACL
    `principal` - Principal to be removed from the list of owners
  Returns:
    true if the owner is removed
  Throws:
    `NotOwnerException` - if the caller Principal is not an owner of the ACL
    `LastOwnerException` - if the owner proposed for deletion is the last owner

### isOwner

    public boolean isOwner(Principal principal)

  Deprecated.
  Determines whether the given principal is an owner of the ACL.

  Specified by:
    `isOwner` in interface `Owner`
  Parameters:
    `principal` - Principal to be verified as an owner
  Returns:
    true if the Principal is in the list of owners

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD